Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Interface ExpressionTransformer

All Known Implementing Classes:
  ClassCodeExpressionTransformer, JavaAwareResolveVisitor, ResolveVisitor, StaticImportVisitor

    public interface ExpressionTransformer

Provides a way to transform expressions

Version:
  $Revision: 7922 $
Author:
  James Strachan

Method Summary
`Expression` | `transform(Expression expression)` Transforms the given expression into another expression

Method Detail

### transform

    Expression transform(Expression expression)

  Transforms the given expression into another expression

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD